j_package.d(1m)

NAME
j_package.d - count Java class loads by package using DTrace.

SYNOPSIS
j_package.d

DESCRIPTION
This traces activity from all Java processes on the system with hotspot provider support (1.6.0).

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_package.d

FIELDS

PID Process ID

LOADS
    Class loads during trace

PACKAGE
    Package name from class

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_package.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)